summaryrefslogtreecommitdiffstats
path: root/extra/pm-utils/pm-utils-11-netcfg
diff options
context:
space:
mode:
authorsibel <lesibel@free.fr>2011-05-23 09:04:23 +0200
committersibel <lesibel@free.fr>2011-05-23 09:04:23 +0200
commitbcd0153645655db6b258477e25ac1d183dafc55c (patch)
tree6874df3e2cfeae3fa8e1c4ed3097c0a1b4324ca4 /extra/pm-utils/pm-utils-11-netcfg
parent120d1e11c2e6817e78ed139fec6dda0b948ad47b (diff)
downloadnutyx-extra-bcd0153645655db6b258477e25ac1d183dafc55c.tar.gz
nutyx-extra-bcd0153645655db6b258477e25ac1d183dafc55c.tar.bz2
nutyx-extra-bcd0153645655db6b258477e25ac1d183dafc55c.tar.xz
nutyx-extra-bcd0153645655db6b258477e25ac1d183dafc55c.zip
pm-utils 1.4.1-1 ajout port
Diffstat (limited to 'extra/pm-utils/pm-utils-11-netcfg')
-rw-r--r--extra/pm-utils/pm-utils-11-netcfg27
1 files changed, 27 insertions, 0 deletions
diff --git a/extra/pm-utils/pm-utils-11-netcfg b/extra/pm-utils/pm-utils-11-netcfg
new file mode 100644
index 000000000..86ff8bafd
--- /dev/null
+++ b/extra/pm-utils/pm-utils-11-netcfg
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+. /usr/lib/pm-utils/functions
+
+suspend_netcfg() {
+ netcfg2 all-suspend
+}
+
+resume_netcfg() {
+ netcfg2 all-resume
+}
+
+if [ -x /usr/bin/netcfg2 ]; then
+ case "$1" in
+ hibernate|suspend)
+ suspend_netcfg
+ ;;
+ thaw|resume)
+ resume_netcfg
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+exit $?
+